// caballo.cpp - clase CCaballo
#include "caballo.h"

CCaballo::CCaballo(CTablon *t, int dor)
{
  m_tablon = t;
  m_dorsal = dor;
}

void *CCaballo::fnHilo()
{
  int msegs = 0;
  srand((unsigned)time(NULL)+m_dorsal);
  while (!m_tablon->finCarrera())
  {
    msegs = rand()%1000; // milisegundos
    // Avanzar
    Sleep(msegs); // en Linux está definida en unistd.h como sleep
    m_tablon->incrementarPosicion(m_dorsal);
  }
  return 0;
}

